Skip to main content
POST
/
ghg_statement_components
Post Ghg Statement Component
curl --request POST \
  --url https://api.sandbox.isometric.com/mrv/v0/ghg_statement_components \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-client-secret: <x-client-secret>' \
  --data '
{
  "component_data": {
    "activity_completed_at": "2023-11-07T05:31:56Z",
    "activity_started_at": "2023-11-07T05:31:56Z",
    "component_blueprint_key": "<string>",
    "display_name": "<string>",
    "inputs": [
      {
        "datapoint_ids": [
          "dtp_1DVKHKS101S0Q61Q"
        ],
        "input_key": "<string>",
        "__typename": "CreateComponentListInput"
      }
    ],
    "project_id": "prj_1CTWZQGKE1S0VAXA",
    "supplier_reference_id": "<string>",
    "description": "<string>"
  },
  "ghg_statement_id": "ggs_1GDQJ99Z51S0DYW9"
}
'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/ghg_statement_components"

payload = {
    "component_data": {
        "activity_completed_at": "2023-11-07T05:31:56Z",
        "activity_started_at": "2023-11-07T05:31:56Z",
        "component_blueprint_key": "<string>",
        "display_name": "<string>",
        "inputs": [
            {
                "datapoint_ids": ["dtp_1DVKHKS101S0Q61Q"],
                "input_key": "<string>",
                "__typename": "CreateComponentListInput"
            }
        ],
        "project_id": "prj_1CTWZQGKE1S0VAXA",
        "supplier_reference_id": "<string>",
        "description": "<string>"
    },
    "ghg_statement_id": "ggs_1GDQJ99Z51S0DYW9"
}
headers = {
    "x-client-secret": "<x-client-secret>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'x-client-secret': '<x-client-secret>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    component_data: {
      activity_completed_at: '2023-11-07T05:31:56Z',
      activity_started_at: '2023-11-07T05:31:56Z',
      component_blueprint_key: '<string>',
      display_name: '<string>',
      inputs: [
        {
          datapoint_ids: ['dtp_1DVKHKS101S0Q61Q'],
          input_key: '<string>',
          __typename: 'CreateComponentListInput'
        }
      ],
      project_id: 'prj_1CTWZQGKE1S0VAXA',
      supplier_reference_id: '<string>',
      description: '<string>'
    },
    ghg_statement_id: 'ggs_1GDQJ99Z51S0DYW9'
  })
};

fetch('https://api.sandbox.isometric.com/mrv/v0/ghg_statement_components', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "activity_completed_at": "2023-11-07T05:31:56Z",
  "activity_started_at": "2023-11-07T05:31:56Z",
  "blueprint_key": "<string>",
  "description": "<string>",
  "display_name": "<string>",
  "ghg_entry_template_component_id": "rtc_1DAA58EDM1S0AMPN",
  "id": "cmp_1EP2SB7MZ1S036PY",
  "inputs": [
    {
      "datapoint_ids": [
        "dtp_1DVKHKS101S0Q61Q"
      ],
      "input_key": "<string>",
      "__typename": "ComponentListInput"
    }
  ],
  "removal_template_component_id": "rtc_1DAA58EDM1S0AMPN",
  "supplier_reference_id": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Body

application/json
component_data
CreateComponentRequest · object
required

Data required to create any component

ghg_statement_id
string
required

Isometric ID of the GHG Statement to create the component within and amortize across.

Required string length: 20 - 37
Examples:

"ggs_1GDQJ99Z51S0DYW9"

"ggs_1FWVEQRWSSBXK3NB"

Response

Successful Response

activity_completed_at
string<date-time> | null
required
activity_started_at
string<date-time> | null
required
blueprint_key
string
required
description
string | null
required
display_name
string
required
ghg_entry_template_component_id
string | null
required

The ID of the GHG entry template component, if this component was created via a template. May be null if the component was created directly, or if the template has been deleted.

Required string length: 20 - 37
Example:

"rtc_1DAA58EDM1S0AMPN"

id
string
required
Required string length: 20 - 37
Examples:

"cmp_1EP2SB7MZ1S036PY"

"cmp_1EHK4R6QJSBXFC5N"

inputs
(ComponentListInput · object | ComponentScalarInput · object)[]
required

A list of component inputs. The inputs can be either scalars or list inputs.

removal_template_component_id
string | null
required
deprecated

The ID of the removal template component, if this component was created via a template. May be null if the component was created directly, or if the template has been deleted.

Required string length: 20 - 37
Example:

"rtc_1DAA58EDM1S0AMPN"

scope
enum<string>
required
Available options:
REMOVAL,
GHG_STATEMENT,
PROJECT,
NET_NEGATIVITY
supplier_reference_id
string | null
required

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200
type
enum<string>
required
Available options:
ACTIVITY,
REMOVAL_COUNTERFACTUAL,
SEQUESTRATION,
LOSS,
ADJUSTMENT,
UNCERTAINTY_DISCOUNT
allocation_strategy
enum<string> | null

Attribution strategy, manages how project-scoped components are distributed across GHG statements; value will be Null if scope is not of scope project

Available options:
ESTIMATED_PROJECT_TONNAGE,
MANUAL,
CUSTOM_TIME_PERIOD,
ESTIMATED_PROJECT_LIFETIME